<?php

// $Id: index.php,v 1.7 2004/12/21 02:20:21 rdjurovich Exp $

/* -------------------------------------------------------------------------
			Website Baker project <http://www.websitebaker.org/>
					Copyright (C) 2004 - Ryan Djurovich
----------------------------------------------------------------------------
 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--------------------------------------------------------------------------*/
/* #########################################################################
# Copyright notice: (do not remove the copyright notice)                   #
# Design is made by BlueRobot.com                                          #
# Template is made by Fienieg, RedLime.nl                                  #
#                                                                          #
# Template is PURE CSS(2), it has been tested on IE6 and FireFox 1.0       #
# Please note that the code is made by Ryan Djurovich and the WebsiteBaker #
# crew, so all money should be send to the WebsiteBaker project!!! ;)      #
#                                                                          #
# This template is ONLY for non-commercial use                             #
##########################################################################*/

// Function Breadcrumb
function create_breadcrumbs($item)
{
	global $database;
	global $bca;
	$query_menu=$database->query("SELECT page_id,parent FROM ".TABLE_PREFIX."pages WHERE page_id = '$item'");
	$page=$query_menu->fetchRow();
	if ($page['parent']!=0)
		create_breadcrumbs($page['parent']);
	else $bca[]='0';
	$bca[]=$page['page_id'];
}

// Function to loop through sub-menu items
function sub_menu($level)
{
	global $database;
	global $bca;
	$nextlevel=$level+1;
	$query_menu=$database->query("SELECT page_id,menu_title,link,target,level,visibility$private_sql FROM ".TABLE_PREFIX."pages WHERE visibility!='none' AND parent = $bca[$level] ORDER BY position ASC");
	if($query_menu->numRows() > 0)
	{
		while ($page=$query_menu->fetchRow())
		{
			if(!isset($admin) OR $admin->show_page($page['page_id']))
			{
				?>
			<p>
			<font<?php if($page['page_id'] == PAGE_ID) { echo ' class="current"'; } ?>>
				<a href="<?php echo page_link($page['link']); ?>" target="<?php echo $page['target']; ?>">
					<font style="padding-left: <?php echo $page['level']*5; ?>px;"><img src="<?php echo TEMPLATE_DIR; ?>/star_blue.gif" width="16" height="16" border="0" alt=""><?php echo stripslashes($page['menu_title']); ?></font>
				</a>
			</font>
			</p>
			<?php
			}
			if ($page['page_id']==$bca[$nextlevel])
				sub_menu($nextlevel);
		}
	}
}

// 	Simple call menu(PAGE_ID) where you want the menu to be displayed
function menu($page_id)
{
	global $bca;
	if (sizeof($bca)==0)
		create_breadcrumbs($page_id);
	sub_menu(0);
}

/* 	To have breadcrumbs like this:
	top > sublevel 1 > sublevel 2
	call it with breadcrumbs(PAGE_ID," > ")
	$start denotes the first level displayed,
	usually 0 (top-level)*/
function breadcrumbs($page_id,$sep)
{
	global $database;
	global $bca;
	if (sizeof($bca)==0)
	        create_breadcrumbs($page_id);
	$counter=0;
	foreach ($bca as $temp)
	{
                if ($counter>1)
			echo $sep;
		$query_menu=$database->query("SELECT menu_title FROM ".TABLE_PREFIX."pages WHERE page_id=$temp");
		$page=$query_menu->fetchRow();
		echo $page['menu_title'];
                $counter++;
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title><?php echo WEBSITE_TITLE; ?> - <?php echo PAGE_TITLE; ?></title>
<meta name="description" content="<?php echo WEBSITE_DESCRIPTION; ?>">
<meta name="keywords" content="<?php echo WEBSITE_KEYWORDS; ?>">
<link href="<?php echo TEMPLATE_DIR; ?>/screen.css" rel="stylesheet" type="text/css" media="screen" />
</head>

<body>
<!-- WEBSITE HEADER -->
<div id="Header"><a href="<?php echo WB_URL; ?>" class="website_title" alt="<?php echo WEBSITE_TITLE; ?>" title="<?php echo WEBSITE_TITLE; ?>"><?php echo WEBSITE_TITLE; ?></a></div>

<div id="Content">
	<!-- BREADCRUMBS page1 > page2 > page3 etc.. -->
	<p style="border-bottom-style: dashed; border-bottom-width: 1px; border-bottom-color: #CDCDBB;"><?php breadcrumbs(PAGE_ID," > ");?></p>
	<!-- CONTENT -->
	<p><?php page_content(); ?></p>
	<br />
	<br />
	<br />
	<p style="text-align: center; border-top-style: dashed; border-top-width: 1px; border-top-color: #CDCDBB;">
		<!-- Do not remove these lines,the Copyright notice -->
		<font style="font-size: 7pt;">Design by <a href="http://www.bluerobot.com" target="_blank" style="font-size: 7pt;">BlueRobot.com</a>, template made by <a href="http://www.redlime.nl" target="_blank" style="font-size: 7pt">Fienieg</a></font>
		<!-- Do not remove these lines,the Copyright notice -->
		<br />
		<!-- WEBSITE FOOTER -->
		<?php if(WEBSITE_FOOTER != '') 
			{ 
			echo WEBSITE_FOOTER; 
			}
			else
			{
			echo '(c)';
			} 
		?>
	</p>
</div>

<div id="menu_left">
<h2>Menu</h2>
<!-- ### MENU ### -->
<?php
menu(PAGE_ID);
?>
<p><img src="<?php echo TEMPLATE_DIR; ?>/lock_warning.gif" width="16" height="16" alt=""><a href="<?php echo ADMIN_URL; ?>"><?php if(isset($TEXT['ADMINISTRATION'])) { echo $TEXT['ADMINISTRATION']; } else { echo 'Administration'; } ?></a></p>
</div>

<div id="menu_right">
	<?php if(SHOW_SEARCH == true) { /* Only show search box if search is enabled */ ?>
		<form name="search" action="<?php echo WB_URL; ?>/search/index<?php echo PAGE_EXTENSION; ?>" method="post">
			<h2>Search</h2>
			<p><input class="search" type="text" name="string" style="width: 130px;" /></p>
			<p align="right"><input class="search" type="submit" name="submit" value="<?php if(isset($TEXT['SUBMIT'])) { echo $TEXT['SEARCH']; } else { echo 'Search'; } ?>" style="width: 55px;" /></p>
		</form>
	<?php } ?>
	
	<?php
	if(FRONTEND_LOGIN == 'enabled' AND VISIBILITY != 'private' AND $admin->get_session('USER_ID') == '') {
	?><!-- LOGIN PART -->
		<form name="login" action="<?php echo LOGIN_URL; ?>" method="post">
			<h2><?php echo $TEXT['LOGIN']; ?></h2>
			<p><?php echo $TEXT['USERNAME']; ?>:</p>
			<p><input type="text" name="username" /></p>
			<p><?php echo $TEXT['PASSWORD']; ?>:</p>
			<p ><input type="password" name="password" /></p>
			<p><input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" style="width: 45; text-transform: uppercase;" /></p>
			<p><a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a></p>
			
			<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
			<!-- SIGN-UP PART -->
			<p><a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a></p>
			<!-- SIGN-UP PART -->
			<?php } ?>
		</form>
	<?php
	} elseif(FRONTEND_LOGIN == 'enabled' AND is_numeric($admin->get_session('USER_ID'))) {
	?><!-- LOGGED-IN PART -->
		<form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post">
			<p><?php echo $TEXT['LOGGED_IN']; ?>: <b><?php echo $admin->get_display_name(); ?></b></p>
			<p><input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" /></p>
			<p><a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a></p>
		</form>
	<?php
	}
	?>
</div>

</body>
</html>
<!--
/* #########################################################################
# Copyright notice: (do not remove the copyright notice)                   #
# Design is made by BlueRobot.com                                          #
# Template is made by Fienieg, RedLime.nl                                  #
#                                                                          #
# Template is PURE CSS(2), it has been tested on IE6 and FireFox 1.0       #
# Please note that the code is made by Ryan Djurovich and the WebsiteBaker #
# crew, so all money should be send to the WebsiteBaker project!!! ;)      #
#                                                                          #
# This template is ONLY for non-commercial use                             #
##########################################################################*/
-->
